Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3GS on 4.0 - 05.11 Upgrade

  1. #1
    iPhone? More like MyPhone iphone4idiots's Avatar
    Join Date
    Sep 2009
    Location
    Nashville
    Posts
    133
    Thanks
    8
    Thanked 5 Times in 5 Posts

    Default 3GS on 4.0 - 05.11 Upgrade
    My friend wants me to upgrade the firmware on his iPhone 3GS which is at 4.0. He doesn't want to lose his unlock however - he's on baseband 05.11

    How high can I take up the firmware, which jailbreak should I use at that point and will it create the GPS problem I've read about.

    Thanks for the knowledge
    I thought my carrier was bad til I got a new web host

  2. #2
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,789
    Thanks
    7,002
    Thanked 15,562 Times in 7,112 Posts

    Use pwnage tool or snowbreeze to make a custom firmware and restore to that. That way you can preserve your baseband and still unlock. I would suggest a custom 4.2.1 right now though as ultrasnow has issues on 4.3.1. Do you have 4.2.1 SHSH?

  3. The Following User Says Thank You to Simon For This Useful Post:

    iphone4idiots (04-08-2011)

  4. #3
    iPhone? More like MyPhone iphone4idiots's Avatar
    Join Date
    Sep 2009
    Location
    Nashville
    Posts
    133
    Thanks
    8
    Thanked 5 Times in 5 Posts

    I haven't seen his iPhone yet, but am hoping when open Cydia I'll See the 4.2.1 in green

    It's been awhile since used PwnageTool, but all I do is download custom/Apple 4.2.1 firmware. Run PwnageTool and point to that custom firmware. Then plug in iPhone and right click restore and point to ipsw that PwnageTool created correct?

    Also, if I don't see 4.2.1 in green then can't do it cause its too late or would Tiny Umbrella come to rescue?

    Thanks again for the info
    I thought my carrier was bad til I got a new web host

  5. #4
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,789
    Thanks
    7,002
    Thanked 15,562 Times in 7,112 Posts

    Ya, you would need 4.2.1 SHSH to restore to a custom 4.2.1. That would be the ideal thing right now. If you must you can still go to a custom 4.3.1 but you will need to install ultrasnow and a ultrasnow fixer from the source cydia.push.info.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •